import { z } from "zod";
export * from "./initialize.js";
export * from "./request_dimensions.js";
export * from "./update_context.js";
export declare const UIExtensionHostEventSchema: z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_HOST::INITIALIZE">;
    data: z.ZodObject<{
        context: z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            siteId: z.ZodNullable<z.ZodString>;
            teamId: z.ZodNullable<z.ZodString>;
            theme: z.ZodEnum<["light", "dark"]>;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        }>;
        extension: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            slug: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            slug: string;
        }, {
            id: string;
            name: string;
            slug: string;
        }>;
        surface: z.ZodObject<{
            name: z.ZodEnum<["extension-settings"]>;
        }, "strip", z.ZodTypeAny, {
            name: "extension-settings";
        }, {
            name: "extension-settings";
        }>;
    }, "strip", z.ZodTypeAny, {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: "extension-settings";
        };
    }, {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: "extension-settings";
        };
    }>;
}, "strip", z.ZodTypeAny, {
    data: {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: "extension-settings";
        };
    };
    type: "NF::EUI_HOST::INITIALIZE";
}, {
    data: {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: "extension-settings";
        };
    };
    type: "NF::EUI_HOST::INITIALIZE";
}>, z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_HOST::REQUEST_DIMENSIONS">;
    data: z.ZodDefault<z.ZodOptional<z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>>>;
}, "strip", z.ZodTypeAny, {
    data: {};
    type: "NF::EUI_HOST::REQUEST_DIMENSIONS";
}, {
    type: "NF::EUI_HOST::REQUEST_DIMENSIONS";
    data?: {} | undefined;
}>, z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_HOST::UPDATE_CONTEXT">;
    data: z.ZodObject<{
        context: z.ZodObject<{
            teamId: z.ZodNullable<z.ZodString>;
            siteId: z.ZodNullable<z.ZodString>;
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            theme: z.ZodEnum<["light", "dark"]>;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        }>;
    }, "strip", z.ZodTypeAny, {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
    }, {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
    }>;
}, "strip", z.ZodTypeAny, {
    data: {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
    };
    type: "NF::EUI_HOST::UPDATE_CONTEXT";
}, {
    data: {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
    };
    type: "NF::EUI_HOST::UPDATE_CONTEXT";
}>]>;
export type UIExtensionHostEvent = z.output<typeof UIExtensionHostEventSchema>;
export type UIExtensionHostEventType = UIExtensionHostEvent["type"];
//# sourceMappingURL=main.d.ts.map