/**
 * Surfaces is an enum containing the unique names of each surface (location in the Netlify app) a
 * UI extension can render to.
 *
 * The SDK exposes which surface your app is currently rendering to, so you can use this enum as
 * routing in order to display the correct UI for a given surface to a user.
 */
export var Surfaces;
(function (Surfaces) {
    /**
     * ExtensionSettings is the surface that end users visit to configure an extension. It includes
     * such functionality as:
     *
     * - A UI for configuring an OAuth connection to the extension's third-party API
     * - A UI for setting extension-specific configuration values
     */
    Surfaces["ExtensionSettings"] = "extension-settings";
})(Surfaces || (Surfaces = {}));
//# sourceMappingURL=surfaces.js.map